/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "parentitem.h"

namespace GoogleReader
{
ParentItem::ParentItem(PageItemPtr parent, AbstractFeedAggreagatorService *service) :
    GoogleReaderItem(parent, service),
    m_unreadCount(0),
    m_feedReadBusy(false)
{
}

int ParentItem::unreadCount() const
{
    return m_unreadCount;
}

void ParentItem::setUnreadCount(int unreadCount)
{
    m_unreadCount = unreadCount;
    if(m_unreadCount < 0)
        m_unreadCount = 0;    
    emit unreadCountChanged();
    emit dataChanged(PageItemWeakRef(this));
}

bool ParentItem::feedReadBusy() const
{
    return m_feedReadBusy;
}

void ParentItem::setFeedReadBusy(bool busy)
{
    m_feedReadBusy = busy;
    emit feedReadBusyChanged();
}
} // namespace GoogleReader
